<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/config:1.0"
                  elementFormDefault="qualified"
                  xmlns="http://www.h3c.com/netconf/config:1.0"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns:netconf ="urn:ietf:params:xml:ns:netconf:base:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>
  <xs:import schemaLocation="netconf.xsd" namespace="urn:ietf:params:xml:ns:netconf:base:1.0"></xs:import>

  <xs:element name="ND">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
           
        <xs:element name="NDTable" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="NDEntry" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                    <xs:element name="Ipv6Address" minOccurs="0" type="base:Ipv6Address" nillable="true">
                    </xs:element> 
                    <xs:element name="MacAddress" minOccurs="0" type="base:MacAddress" nillable="true">
                    </xs:element> 
                    <xs:element name="VLANID" minOccurs="0" nillable="true">
                      <xs:complexType>
			                  <xs:simpleContent>
			                    <xs:restriction base="base:UnsignedInteger32">
			                      <xs:minInclusive value="1"></xs:minInclusive>
			                      <xs:maxInclusive value="4094"></xs:maxInclusive>
			                    </xs:restriction>
			                  </xs:simpleContent>
			                </xs:complexType>
                    </xs:element> 
                    <xs:element name="PortIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>
                    <xs:element name="VrfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element>                                                                                                         
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 
        
        <xs:element name="NDInterface" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Interface" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                    <xs:element name="DADAttempts" minOccurs="0" nillable="true">
                      <xs:complexType>
			                  <xs:simpleContent>
			                    <xs:restriction base="base:UnsignedInteger32">
			                      <xs:minInclusive value="0"></xs:minInclusive>
			                      <xs:maxInclusive value="600"></xs:maxInclusive>
			                    </xs:restriction>
			                  </xs:simpleContent>
			                </xs:complexType>
                    </xs:element>                     
                    <xs:element name="ModeUNI" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>                                                                                       
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>  
               
        <xs:element name="NDConfig" minOccurs="0">
          <xs:complexType>            
          <xs:all>
            <xs:element name="StaleAging" minOccurs="0" nillable="true">
            <xs:complexType>
                <xs:simpleContent>
                  <xs:restriction base="base:UnsignedInteger32">
                    <xs:minInclusive value="1"></xs:minInclusive>
                    <xs:maxInclusive value="1440"></xs:maxInclusive>
                  </xs:restriction>
                </xs:simpleContent>
              </xs:complexType>
            </xs:element>
            <xs:element name="LinkLocalMinimize" minOccurs="0" type="base:Boolean" nillable="true">
            </xs:element>
            <xs:element name="HopLimit" minOccurs="0" nillable="true">
              <xs:complexType>
                <xs:simpleContent>
                  <xs:restriction base="base:UnsignedInteger32">
                    <xs:minInclusive value="1"></xs:minInclusive>
                    <xs:maxInclusive value="255"></xs:maxInclusive>
                  </xs:restriction>
                </xs:simpleContent>
              </xs:complexType>
            </xs:element>
          </xs:all>
           <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>
        
        <xs:element name="NDProxy" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="Proxy" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                    <xs:element name="ProxyEnable" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element> 
                    <xs:element name="LocalProxyEnable" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>                                                                                       
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 
        
        <xs:element name="NDRA" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
		          <xs:element name="RA" minOccurs="0">
		            <xs:complexType>
		              <xs:all>
		                <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
		                </xs:element>
		                <xs:element name="RAHalt" minOccurs="0" type="base:Boolean" nillable="true">
		                </xs:element>
		                <xs:element name="MaxInterval" minOccurs="0"  nillable="true">
		                  <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:minInclusive value="4"></xs:minInclusive>
		                        <xs:maxInclusive value="1800"></xs:maxInclusive>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>
		                </xs:element>
		                <xs:element name="MinInterval" minOccurs="0"  nillable="true">
		                  <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:minInclusive value="3"></xs:minInclusive>
		                        <xs:maxInclusive value="1350"></xs:maxInclusive>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>
		                </xs:element>
		                <xs:element name="NoAdvLinkMTU" minOccurs="0" type="base:Boolean" nillable="true">
		                </xs:element>
		                <xs:element name="HopLimitUnspecified" minOccurs="0" type="base:Boolean" nillable="true">
		                </xs:element>
		                <xs:element name="ManagedAddressFlag" minOccurs="0" type="base:Boolean" nillable="true">
		                </xs:element>
		                <xs:element name="OtherFlag" minOccurs="0" type="base:Boolean" nillable="true">
		                </xs:element>
		                <xs:element name="RouterLifetime" minOccurs="0"  nillable="true">
		                  <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:minInclusive value="0"></xs:minInclusive>
		                        <xs:maxInclusive value="9000"></xs:maxInclusive>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>
		                </xs:element>
		                <xs:element name="NSRetransTimer" minOccurs="0"  nillable="true">
		                  <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:minInclusive value="1000"></xs:minInclusive>
		                        <xs:maxInclusive value="4294967295"></xs:maxInclusive>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>
		                </xs:element>
		                <xs:element name="RouterPreference" minOccurs="0" nillable="true">
		                  <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:enumeration value="1"/>
		                        <xs:enumeration value="2"/>
		                        <xs:enumeration value="3"/>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>
		                </xs:element>
		                <xs:element name="NudReachableTime" minOccurs="0"  nillable="true">
		                  <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:minInclusive value="1"></xs:minInclusive>
		                        <xs:maxInclusive value="3600000"></xs:maxInclusive>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>
		                </xs:element>
		              </xs:all>
		              <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
		            </xs:complexType>
		          </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>  
        
        <xs:element name="NDRAPrefix" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="RAPrefix" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                    <xs:element name="Ipv6Prefix" minOccurs="0">
                     <xs:complexType>
                     <xs:all>
                    <xs:element name="Ipv6Address" minOccurs="0" type="base:Ipv6Address" nillable="true">
                    </xs:element> 
                    <xs:element name="Ipv6PrefixLength" minOccurs="0" nillable="true">
                      <xs:complexType>
			                  <xs:simpleContent>
			                    <xs:restriction base="base:UnsignedInteger32">
			                      <xs:minInclusive value="1"></xs:minInclusive>
			                      <xs:maxInclusive value="128"></xs:maxInclusive>
			                    </xs:restriction>
			                  </xs:simpleContent>
			                </xs:complexType>
                    </xs:element> 
                     </xs:all>
                     </xs:complexType>
                   </xs:element>
                    <xs:element name="ValidLifetime" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                    </xs:element> 
                    <xs:element name="PreferredLifetime" minOccurs="0" type="base:UnsignedInteger32" nillable="true">
                    </xs:element> 
                    <xs:element name="NoAutoConfig" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>    
                    <xs:element name="OffLink" minOccurs="0" type="base:Boolean" nillable="true">
                    </xs:element>                                                                                                                               
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element>   

        <xs:element name="NDLearnLimit" minOccurs="0">
          <xs:complexType>
            <xs:choice maxOccurs="unbounded">
              <xs:element name="LearnLimit" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="IfIndex" minOccurs="0" type="base:NameAndIndexUnion" nillable="true">
                    </xs:element> 
                    <xs:element name="LearnMaxNum" minOccurs="0" nillable="true">
                      <xs:complexType>
		                    <xs:simpleContent>
		                      <xs:restriction base="base:UnsignedInteger32">
		                        <xs:minInclusive value="1"></xs:minInclusive>
		                      </xs:restriction>
		                    </xs:simpleContent>
		                  </xs:complexType>                    
                    </xs:element>                                                                                                          
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"></xs:attributeGroup>
                </xs:complexType>
              </xs:element>
            </xs:choice>
            <xs:attributeGroup ref="base:TableAttributeGroup"></xs:attributeGroup>
          </xs:complexType>
        </xs:element> 
               
      </xs:choice>	     
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>